moeoNormalizedDistance(3)

NAME
moeoNormalizedDistance - The base class for double distance computation with normalized objective values (i.e.

SYNOPSIS

#include <moeoNormalizedDistance.h>

Inherits moeoDistance< MOEOT, Type >< MOEOT, Type >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
the objective vector type of the solutions

  Public Member Functions
moeoNormalizedDistance ()
Default ctr.
virtual void setup (const eoPop< MOEOT > &_pop)
Sets the lower and the upper bounds for every objective using extremes values for solutions contained in the population _pop.
virtual void setup (double _min, double _max, unsigned int _obj)
Sets the lower bound (_min) and the upper bound (_max) for the objective _obj.
virtual void setup (eoRealInterval _realInterval, unsigned int _obj)
Sets the lower bound and the upper bound for the objective _obj using a eoRealInterval object.

  Static Public Member Functions
static double tiny ()
Returns a very small value that can be used to avoid extreme cases (where the min bound == the max bound).

  Protected Attributes
std::vector< eoRealInterval > bounds
the bounds for every objective (bounds[i] = bounds for the objective i)

Detailed Description

  template<class MOEOT, class Type = double> class moeoNormalizedDistance< MOEOT, Type >
The base class for double distance computation with normalized objective values (i.e. between 0 and 1).

Definition at line 24 of file moeoNormalizedDistance.h.

Member Function Documentation

  template<class MOEOT, class Type = double> virtual void moeoNormalizedDistance< MOEOT, Type >::setup (const eoPop< MOEOT > & _pop) [inline, virtual]

Sets the lower and the upper bounds for every objective using extremes values for solutions contained in the population _pop.

Parameters:
    _pop the population

Reimplemented from moeoDistance< MOEOT, Type >.

Definition at line 59 of file moeoNormalizedDistance.h.

Referenced by moeoNormalizedDistance< MOEOT >::setup().

  template<class MOEOT, class Type = double> virtual void moeoNormalizedDistance< MOEOT, Type >::setup (double _min, double _max, unsigned int _obj) [inline, virtual]

Sets the lower bound (_min) and the upper bound (_max) for the objective _obj.

Parameters:
    _min lower bound
    _max upper bound
    _obj the objective index

Reimplemented from moeoDistance< MOEOT, Type >.

Definition at line 83 of file moeoNormalizedDistance.h.

  template<class MOEOT, class Type = double> virtual void moeoNormalizedDistance< MOEOT, Type >::setup (eoRealInterval _realInterval, unsigned int _obj) [inline, virtual]

Sets the lower bound and the upper bound for the objective _obj using a eoRealInterval object.

Parameters:
    _realInterval the eoRealInterval object
    _obj the objective index

Reimplemented from moeoDistance< MOEOT, Type >.

Definition at line 99 of file moeoNormalizedDistance.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.